# API reference

{% hint style="info" %}
In order to use APIs you should obtain an API key from the [Account page](https://extpose.com/account).
{% endhint %}

## Get User Extensions

<mark style="color:blue;">`GET`</mark> `https://extpose.com/api/v1/user-extensions`

This endpoint allows you to get list of your extensions including extensions from the watchlist.

#### Headers

| Name      | Type   | Description          |
| --------- | ------ | -------------------- |
| X-API-Key | string | Authentication token |

{% tabs %}
{% tab title="200 Successful result ." %}

```javascript
{
  "data": [
    {
      "avg_rating": 4.5,
      "extension_id": 4186,
      "install_count": 2333,
      "prev_avg_rating": 4.57142857142857,
      "prev_install_count": 1225,
      "prev_rating_count": 7,
      "rating_count": 10,
      "update_ts": "Tue, 24 Sep 2019 22:16:41 GMT",
      "url": "https://chrome.google.com/webstore/detail/bitcoin-price-ticker/bgddejjmhilkdllbakkgddjodommlimc"
    },
    {
      "avg_rating": 3.2962962962963,
      "extension_id": 11445,
      "install_count": 3520,
      "prev_avg_rating": 3.30434782608696,
      "prev_install_count": 3836,
      "prev_rating_count": 23,
      "rating_count": 27,
      "update_ts": "Tue, 24 Sep 2019 23:01:37 GMT",
      "url": "https://chrome.google.com/webstore/detail/bitcoincom-wallet/nllfkpbojkhmfigaeimalniebkkkcmmi"
    },
    {
      "avg_rating": 5.0,
      "extension_id": 11446,
      "install_count": 422,
      "prev_avg_rating": 5.0,
      "prev_install_count": 463,
      "prev_rating_count": 6,
      "rating_count": 5,
      "update_ts": "Tue, 24 Sep 2019 23:01:35 GMT",
      "url": "https://chrome.google.com/webstore/detail/bitcoin-exchange-rates/honmgldinfkdoibjgmofiioodbclaomc"
    }
  ]
}
```

{% endtab %}

{% tab title="400 Something went wrong" %}

```javascript
{
  "error": {
    "code": 400,
    "message": "X-API-Key is invalid"
  }
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.extpose.com/api-reference.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
